Bug 218522 - cad/repsnapper: Update to 2.5a4
Summary: cad/repsnapper: Update to 2.5a4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2017-04-10 08:29 UTC by martin.dieringer
Modified: 2017-08-18 18:59 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (martin.dieringer)


Attachments
patch (1.31 KB, text/plain)
2017-04-10 08:29 UTC, martin.dieringer
martin.dieringer: maintainer-approval+
Details
new patch (1.31 KB, patch)
2017-05-07 14:17 UTC, martin.dieringer
martin.dieringer: maintainer-approval+
Details | Diff
another one (1.81 KB, patch)
2017-05-13 08:23 UTC, martin.dieringer
martin.dieringer: maintainer-approval+
Details | Diff
next (2.41 KB, patch)
2017-05-13 13:29 UTC, martin.dieringer
martin.dieringer: maintainer-approval+
Details | Diff
2.5a2 (2.43 KB, patch)
2017-06-01 18:33 UTC, martin.dieringer
martin.dieringer: maintainer-approval+
Details | Diff
2.5a3 (2.43 KB, patch)
2017-06-02 12:21 UTC, martin.dieringer
martin.dieringer: maintainer-approval+
Details | Diff
2.5a4 (2.43 KB, patch)
2017-06-04 10:51 UTC, martin.dieringer
martin.dieringer: maintainer-approval+
Details | Diff
no NLS option (2.75 KB, patch)
2017-06-04 14:58 UTC, martin.dieringer
martin.dieringer: maintainer-approval+
Details | Diff
DISTVERSION, no NLS option (2.81 KB, patch)
2017-06-04 15:48 UTC, martin.dieringer
martin.dieringer: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description martin.dieringer 2017-04-10 08:29:43 UTC
Created attachment 181634 [details]
patch
Comment 1 Thomas Zander freebsd_committer 2017-05-07 11:30:40 UTC
This does not build. There are lots of invalid comparisons like

/usr/local/include/gtkmm-2.4/gtkmm/papersize.h:290:1: warning: 'PaperSizeTraits' defined as a struct here but previously declared as a class [-Wmismatched-tags]
struct PaperSizeTraits
^
/usr/local/include/gtkmm-2.4/gtkmm/papersize.h:35:1: note: did you mean struct here?
class PaperSizeTraits;
^~~~~
struct
src/slicer/geometry.cpp:1367:14: error: invalid operands to binary expression ('const Cairo::RefPtr<Cairo::ImageSurface>' and 'int')
  if (surface==0) return;
      ~~~~~~~^ ~
src/slicer/geometry.cpp:1403:14: error: invalid operands to binary expression ('const Cairo::RefPtr<Cairo::ImageSurface>' and 'int')
  if (surface==0) return 0;
      ~~~~~~~^ ~
1 warning and 2 errors generated.
gmake[3]: *** [Makefile:2019: src/slicer/repsnapper-geometry.o] Error 1
Comment 2 martin.dieringer 2017-05-07 14:17:39 UTC
Created attachment 182360 [details]
new patch

At the time of the last patch it worked
Comment 3 Thomas Zander freebsd_committer 2017-05-08 11:44:11 UTC
The patch file does not even apply cleanly, implying that you are creating the diff from something else than ports head. Could you look into this?
Comment 4 martin.dieringer 2017-05-08 12:13:13 UTC
Yes it does.
Comment 5 Martin Wilke freebsd_committer 2017-05-13 05:03:55 UTC
It really dosen't apply clean, can you please use svn diff to create a clean patch. 

Thanks,
- Martin
Comment 6 martin.dieringer 2017-05-13 08:23:22 UTC
Created attachment 182560 [details]
another one
Comment 7 Thomas Zander freebsd_committer 2017-05-13 12:42:57 UTC
(In reply to martin.dieringer from comment #6)

Patch applies cleanly now, but:

> portlint -ca
FATAL: Makefile: extra item "USE_GITHUB" placed in the PORTNAME section.
FATAL: Makefile: extra item "GH_ACCOUNT" placed in the PORTNAME section.
WARN: Makefile: extra item placed in the *_DEPENDS section, for example, "CC".
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
2 fatal errors and 2 warnings found.

> poudriere testport -o cad/repsnapper -j p11xSamd64
...
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: share/appdata/repsnapper.appdata.xml
Error: Orphaned: share/locale/ar/LC_MESSAGES/repsnapper.mo
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/cad/repsnapper
====>> Error: check-plist failures detected

I strongly recommend proper testing of patches before submitting them. We do appreciate this. Thank you in advance.
Comment 8 martin.dieringer 2017-05-13 13:29:30 UTC
Created attachment 182568 [details]
next
Comment 9 martin.dieringer 2017-06-01 18:33:42 UTC
Created attachment 183135 [details]
2.5a2
Comment 10 martin.dieringer 2017-06-02 12:21:11 UTC
Created attachment 183150 [details]
2.5a3
Comment 11 martin.dieringer 2017-06-04 10:51:07 UTC
Created attachment 183195 [details]
2.5a4
Comment 12 Thomas Zander freebsd_committer 2017-06-04 11:59:53 UTC
(In reply to martin.dieringer from comment #11)

This does not build with NLS deselected:

[...]
/usr/local/share/aclocal/gtkglextmm-1.2.m4:225: warning: underquoted definition of AC_GTKGLEXTMM_SUPPORTS_MULTIHEAD
/usr/local/share/aclocal/gtkglextmm-1.2.m4:225:   run info Automake 'Extending aclocal'
/usr/local/share/aclocal/gtkglextmm-1.2.m4:225:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
configure.ac:44: warning: AM_NLS is m4_require'd but not m4_defun'd
m4/intltool.m4:27: IT_PROG_INTLTOOL is expanded from...
configure.ac:44: the top level
configure.ac:44: warning: AM_NLS is m4_require'd but not m4_defun'd
m4/intltool.m4:27: IT_PROG_INTLTOOL is expanded from...
configure.ac:44: the top level
configure.ac:44: warning: AM_NLS is m4_require'd but not m4_defun'd
m4/intltool.m4:27: IT_PROG_INTLTOOL is expanded from...
configure.ac:44: the top level
configure:16604: error: possibly undefined macro: AM_NLS
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf-2.69: /usr/local/bin/autoconf-2.69 failed with exit status: 1
*** Error code 1

Stop.
make: stopped in /usr/ports/cad/repsnapper
Comment 13 martin.dieringer 2017-06-04 13:19:22 UTC
Why is NLS an option anyway?
Comment 14 martin.dieringer 2017-06-04 14:58:18 UTC
Created attachment 183206 [details]
no NLS option
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-04 15:06:02 UTC
Please use DISTVERSION (not PORTVERSION) for "non-simple" version strings (those that are not just dot separated integers). For more information and details see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#makefile-distversion

Also, NLS should not be removed as an option unless the software explicitly requires it as a compulsory dependency. The build should be fixed
Comment 16 martin.dieringer 2017-06-04 15:48:24 UTC
Created attachment 183211 [details]
DISTVERSION, no NLS option

Old version has the same problem. Did it ever work without NLS?
Comment 17 Steve Wills freebsd_committer 2017-08-18 18:37:58 UTC
Attachment 183211 [details] applies cleanly for me.
Comment 18 commit-hook freebsd_committer 2017-08-18 18:58:44 UTC
A commit references this bug:

Author: swills
Date: Fri Aug 18 18:57:55 UTC 2017
New revision: 448267
URL: https://svnweb.freebsd.org/changeset/ports/448267

Log:
  cad/repsnapper: Update to 2.5a4

  PR:		218522
  Submitted by:	martin.dieringer@gmx.de (maintainer)

Changes:
  head/cad/repsnapper/Makefile
  head/cad/repsnapper/distinfo
  head/cad/repsnapper/pkg-plist
Comment 19 Steve Wills freebsd_committer 2017-08-18 18:59:20 UTC
Committed, thanks!